﻿<!-- templates/home.html -->
{% extends 'base.html' %}

{% block title %} 商品详细信息 {% endblock %}

{% block head %}
{{ super() }}
<link rel="stylesheet" href="{{ url_for('static',filename='assets/css/store_css.css') }}">
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap single shop">
	<!-- Breadcrumbs -->
	<div class="page-content">
		<main class="main-content">
			<section class="section-single-product product">
				<div class="container">
					<div class="row">
						<div class="col-lg-5">
							<div class="product-thumb">

								<div class="product-gallery">

									<div class="procDisplay">

										<img src="{{ url_for('static',filename=prod.img) }}" alt="">
									</div>

								</div>
								
                                
							</div>
						</div>

						<div class="product-summary summary col-lg-7">
							<br>
							<h4 class="mb-30">商品名称：{{prod.name}}</h4>


							<div class="price">
								<h4 class="mb-30">商品价格：{{prod.price}}</h4>


							</div>

							<div class="product-attributes">
								<div class="product-attributes__item">
									<h4 class="mb-30">上传者名字：{{prod.uploader_name}}</h4>

								</div>
							</div>
							<div class="description-block">
								<h4 class="mb-30">商品描述：</h4>

								<div class="product-description text-content">
									<p> {{prod.desc}}
									</p>
								</div>
							</div>
							{% if prod.identity_ok == 1 %}
							{% if is_collect==0 %}
                            <a href="{{ url_for('Collect.add_my_collect',prod_id=prod.id) }}" onclick="return confirm('确认收藏？');" class="btn btn-primary mr-1 mb-3">添加收藏</a>
							{% else %}
							<a href="" onclick="alert('已收藏');" class="btn btn-primary mr-1 mb-3">已收藏</a>
							{% endif %}
							{% if user_id!=seller_id %}
							<a href="{{ url_for('chat.chat',user_id=user_id,chat_partner_id=seller_id,prod_id=prod_id) }}" class="btn btn-primary mr-1 mb-3">给卖家留言</a>
							{% endif %}
							{% endif %}
							{%  if key_word=='0'  %}
                            <a href="{{ url_for('Home.home') }}" class="btn btn-primary mr-1 mb-3">返回主页</a>
                            {% else %}
                            <a href="{{ url_for('Check_store.my_prod') }}" class="btn btn-primary mr-1 mb-3">返回我的商品</a>
                            {% endif %}
						</div>
					</div>
				</div>
			</section>
		</main>
	</div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}